package com.secspace.lib.common.arouter.libvacentor;

import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;

import com.alibaba.android.arouter.facade.template.IProvider;

/**
 * Created by cyw_m on 2018/4/24.
 */

public interface IVAApi extends IProvider {
    //ams
    void launch(String packageName, int userId);

    void launch(Intent intent, int userId);

    void sendBroadcast(Intent intent, int userId);

    boolean isInstalled(String packageName);

    PackageInfo getPackageInfo(String packageName, int flags);

    ApplicationInfo getApplicationInfo(String packageName, int flags, int userId);


}